Skip to content

Add Tenant Person

POST
/identity/tenants/{tenant_id}/people
tenant_id
required
Tenant Id
string format: uuid
st_session
Any of:
string
TenantPersonCreateRequest
object
email
required
Email
string format: email
group_ids
required
Group Ids
Array<string>
>= 1 items
initial_password
Any of:
string
>= 12 characters <= 200 characters

Successful Response

TenantPersonRecord
object
email
required
Email
string
groups
required
Groups
Array<object>
GroupRef
object
id
required
Id
string format: uuid
name
required
Name
string
id
required
Id
string format: uuid
inherited_groups
required
Inherited Groups
Array<object>
GroupRef
object
id
required
Id
string format: uuid
name
required
Name
string
is_active
required
Is Active
boolean
must_change_password
required
Must Change Password
boolean
removable
required
Removable
boolean
roles
required
Roles
Array<string>

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string